Uploaded image for project: 'phpBB3'
  1. phpBB3
  2. PHPBB3-16369

Replace deprecated Symfony classes and features

    XMLWordPrintable

Details

    • Task
    • Status: Open (View Workflow)
    • Major
    • Resolution: Unresolved
    • 3.3.0
    • None
    • None
    • None

    Description

      When E_USER_DEPRECATED error reporting level is enabled, it generates many messages about use of deprecated code in phpBB:

      1. Templating code uses deprecated Twig classes.
      2. http_kernel service does not give a fourth argument and the default behaviour in this case changes in future versions of Symfony.
      3. Console exception_subscriber listens for a deprecated event.
      4. Event dispatcher extends a deprecated class.
      5. Private services are retrieved directly from the DI container (i.e. $container->get('foo')).

      The attached patch should resolve these issues.

      Attachments

        Issue Links

          Activity

            People

              Unassigned Unassigned
              Snover Snover
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated: